@echo off
set server=localhost
set backupFileName=C:\SEMPAL\DEVICEMANAGER\DEVICEDB.bak
set newDir=C:\SEMPAL\DEVICEMANAGER\DATA_New4
set newDB=DeviceDB4

set dbName=%newDir%\DEVICEDB.MDF
set dbLogName=%NewDir%\DeviceDB_log.ldf

setlocal 
:PROMPT
SET /P AREYOUSURE=Are you sure to restore NEW DB %newDB% on [%server%] from %backupFileName% (Y/[N])?
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

if not exist %newDir% md %newDir%

echo Restore to NEW %newDB% on [%server%] from %backupFileName%
set sql="RESTORE DATABASE %newDB% FROM DISK='%backupFileName%' WITH REPLACE, RECOVERY, STATS, MOVE 'DeviceDB' TO '%dbName%', MOVE 'DeviceDB_log' TO '%dbLogName%';"

sqlcmd -S %server% -Q %sql%
pause

:END
endlocal

