@echo off
set server=(localDB)\v11.0
set database="C:\SEMPAL\DEVICEMANAGER\DATA\DEVICEDB.MDF"
set backupFileName="C:\SEMPAL\DEVICEMANAGER\DEVICEDB.bak"

setlocal 
:PROMPT
SET /P AREYOUSURE=Are you sure to restore %database% on [%server%] from %backupFileName% (Y/[N])?
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

echo Restore %database% on [%server%] from %backupFileName%
set sql="declare @db varchar(1000) = '$(DB)'; RESTORE DATABASE @db FROM DISK='$(filename)' WITH STATS;"
sqlcmd -S %server% -v DB=%database% filename=%backupFileName% -Q %sql%
pause

:END
endlocal

