rem @echo off
set server=localhost
set database=DeviceDB
set backupFileName='C:\SEMPAL\DEVICEMANAGER\DEVICEDB.bak'

setlocal
:PROMPT
SET /P AREYOUSURE=Are you sure to restore %database% on [%server%] from %backupFileName% (Y/[N])?
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

echo Restore %database% on [%server%] from %backupFileName%
set sql="RESTORE DATABASE %database% FROM DISK=%backupFileName% WITH REPLACE,STATS;"
sqlcmd -S %server% -Q %sql%
pause

:END
endlocal

