@echo off
set server=(localDB)\v11.0
set backupFileName=C:\SEMPAL\DEVICEMANAGER\DEVICEDB.bak
set newDir=C:\SEMPAL\DEVICEMANAGER\DATA_New


set dbName=%newDir%\DEVICEDB.MDF
set dbLogName=%NewDir%\DeviceDB_log.ldf

setlocal 
:PROMPT
SET /P AREYOUSURE=Are you sure to restore NEW DB %dbName% on [%server%] from %backupFileName% (Y/[N])?
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

if not exist %newDir% md %newDir%

echo Restore to NEW %dbName% on [%server%] from %backupFileName%
set sql="declare @db varchar(1000) = '%dbName%'; RESTORE DATABASE @db FROM DISK='%backupFileName%' WITH STATS, MOVE 'DeviceDB' TO '%dbName%', MOVE 'DeviceDB_log' TO '%dbLogName%';"

sqlcmd -S %server% -Q %sql%
pause

:END
endlocal

